Get Public Allocator V2 candidate vaults
Public Allocator V2 candidates for a Morpho Blue market. Returns one row per vault and adapter candidate, without aggregation. Order is unspecified. Returns an empty list when the chain has no Public Allocator V2 deployment or no candidates exist.
Path Parameters
market-selector*string
Selector formatted as <chain_id>:<market_id>. Example: 1:0xfff1970c0ffae288764186fbb38a9171a17e98676744a1e345809cb8b9e73342.
Format
<chain_id>:<market_id>Response Body
application/json
curl -X GET "https://example.com/v0/blue/markets/1:0xfff1970c0ffae288764186fbb38a9171a17e98676744a1e345809cb8b9e73342/public-allocator-vaults"{ "data": [ { "absolute_cap": "1000000000", "adapter_address": "0x2222222222222222222222222222222222222222", "can_pull_from_idle": false, "can_pull_from_market": true, "cap_id": "0x3333333333333333333333333333333333333333333333333333333333333333", "penalty_wad": "10000000000000000", "public_allocator_address": "0x4444444444444444444444444444444444444444", "vault_address": "0x1111111111111111111111111111111111111111" } ], "last_indexed_block": "19847234"}Empty